%define subrel 3

Name:          kdegraphics4
Summary:       K Desktop Environment
Version:       4.2.4
Release:       %mkrel 0
Epoch:         2
Group:         Graphical desktop/KDE
License:       GPL
URL:           http://www.kde.org
Source:	       ftp://ftp.kde.org/pub/kde/stable/%version/src/kdegraphics-%version.tar.bz2
Patch0:        kdegraphics-4.1.80-fix-desktop-files.patch
Patch1:        kdegraphics-4.2.2-workaround-kolorpaintcrash.patch
Patch2:        kdegraphics-4.2.2-ksnapshot-unique.patch
Patch200:      kdegraphics-backport-4.3.0-rev946120.patch
Buildroot:     %_tmppath/%name-%version-%release-root
BuildRequires: jpeg-devel 
BuildRequires: png-devel 
BuildRequires: libimlib2-devel 
BuildRequires: libtiff-devel
BuildRequires: zlib-devel 
BuildRequires: bzip2-devel
BuildRequires: gettext texinfo
BuildRequires: kdelibs4-devel
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: openssl-devel 
BuildRequires: libsane-devel 
BuildRequires: OpenEXR-devel
BuildRequires: libtiff-progs
BuildRequires: gphoto2-devel
BuildRequires: libspectre-devel
BuildRequires: fontconfig-devel
BuildRequires: libpoppler-qt4-devel >= 0.8.0
BuildRequires: mesaglut-devel
BuildRequires: djvulibre-devel
BuildRequires: libchm-devel
BuildRequires: libgs-devel
BuildRequires: libexiv-devel
BuildRequires: qimageblitz-devel
BuildRequires: ebook-tools-devel
BuildRequires: lcms-devel
BuildRequires: qca2-devel
Requires: %name-core
Requires: ksnapshot
Requires: kcolorchooser
Requires: okular
Requires: gwenview
Requires: kruler
Requires: kolourpaint
Requires: kgamma
Obsoletes: kde4-kfax < 2:3.93.0-0.714385.1

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package   core
Summary:   Core files for kdegraphics
Group:     Graphical desktop/KDE	
Requires:  kdebase4-runtime
Requires:  libgphoto-hotplug
Obsoletes: kdegraphics4-common < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kview < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kiconedit < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kpovmodeler < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-ksvg < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kooka < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-mrmlsearch < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kcoloredit < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kview < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kpovmodeler < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-ksvg < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kooka < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-common < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kscan1 < 2:3.93.0-0.714385.1

%description core
Common files for kdegraphics

%files core
%defattr(-,root,root)
%_kde_libdir/kde4/gsthumbnail.so
%_kde_libdir/kde4/svgpart.so
%_kde_appsdir/svgpart
%_kde_datadir/kde4/services/svgpart.desktop
%_kde_libdir/strigi/*
%_kde_libdir/kde4/ksaneplugin.so
%_kde_datadir/kde4/services/ksane_scan_service.desktop
%_kde_datadir/kde4/services/gsthumbnail.desktop
%_kde_iconsdir/hicolor/16x16/actions/black-white.png
%_kde_iconsdir/hicolor/16x16/actions/color.png
%_kde_iconsdir/hicolor/16x16/actions/gray-scale.png

#------------------------------------------------	

%define okularcore_major 1
%define libokularcore %mklibname okularcore %okularcore_major

%package -n %libokularcore
Summary:    KDE 4 core library
Group:      System/Libraries
Obsoletes:  %{_lib}kdegraphics40-okular < 2:3.93.0-0.714385.1
Obsoletes:  %{_lib}kghostviewlib1 < 2:3.95.2-0.734790.2
Obsoletes:  %{_lib}spectreOkular1 < 2:4.0.74-1

%description -n %libokularcore
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libokularcore -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libokularcore -p /sbin/ldconfig
%endif

%files -n %libokularcore
%defattr(-,root,root)
%_kde_libdir/libokularcore.so.%{okularcore_major}*

#-----------------------------------------------------------------------------

%package -n kgamma
Summary:    kgamma color profiling
Group:      Graphical desktop/KDE
Requires:   %name-core = %epoch:%version
Obsoletes:  kde4-kgamma < 2:4.0.68
Provides:   kde4-kgamma = %epoch:%version

%description -n kgamma
kgamma color profiling

%files -n kgamma
%defattr(-,root,root)
%_kde_datadir/kde4/services/kgamma*
%_kde_appsdir/kgamma
%_kde_iconsdir/*/*/*/kgamma*
%_kde_libdir/kde4/*_kgamma.*
%_kde_docdir/HTML/*/kgamma

#-----------------------------------------------------------------------------

%package -n kamera
Summary: kamera ioslave
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kamera < 2:3.93.0-0.714385.1
Obsoletes: kde4-kamera < 2:4.0.68
Provides: kde4-kamera = %epoch:%version

%description -n kamera
kamera ioslave

%files -n kamera
%defattr(-,root,root)
%dir %_kde_docdir/HTML/en/kcontrol/kamera
%doc %_kde_docdir/HTML/en/kcontrol/kamera/*
%_kde_libdir/kde4/*_kamera.*
%_kde_datadir/kde4/services/camera*
%_kde_datadir/kde4/services/kamera*

#-----------------------------------------------------------------------------

%package -n okular
Summary: A universal document viewer
Group: Graphical desktop/KDE

Requires: %name-core = %epoch:%version

Obsoletes: %name-okular < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kpdf < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kdvi < 2:3.93.0-0.714385.1
Obsoletes: kde4-kghostview < 2:3.95.2-0.734790.2
Obsoletes: kde4-okular < 2:4.0.68

Provides: kde4-okular = %epoch:%version

Conflicts: %name-devel < 2:3.95.2-0.734790.2

%description -n okular
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files -n okular
%defattr(-,root,root)
%_kde_bindir/okular
%_kde_bindir/xf86gammacfg
%_kde_libdir/kde4/okularGenerator_*
%_kde_libdir/kde4/okularpart.so
%_kde_libdir/kde4/kio_msits.so
%_kde_datadir/applications/kde4/okular*
%_kde_appsdir/okular
%_kde_datadir/config.kcfg/okular.kcfg
%_kde_datadir/config.kcfg/gssettings.kcfg
%_kde_datadir/config/okular.knsrc
%_kde_datadir/kde4/services/libokularGenerator_*
%_kde_datadir/kde4/services/okular*
%_kde_datadir/kde4/services/msits*
%_kde_datadir/kde4/servicetypes/okularGenerator.desktop
%_kde_docdir/HTML/en/okular
%_kde_iconsdir/*/*/*/okular.*

#------------------------------------------------	

%package -n libkdcraw-common
Summary: Non-library files for the kdcraw library
Group: System/Libraries
Obsoletes: kde4-libkdcraw < 0.2.0-0.744910.5

%description -n libkdcraw-common
Common files for the kdcraw library

%files -n libkdcraw-common
%defattr(-,root,root)
%{_kde_appsdir}/libkdcraw
%{_kde_iconsdir}/hicolor/*/apps/kdcraw.png

#------------------------------------------------	

%define	kdcraw_major 7
%define	libkdcraw %mklibname kdcraw %kdcraw_major

%package -n %{libkdcraw}
Summary: %{name} library
Group: System/Libraries
Requires: libkdcraw-common

%description -n %{libkdcraw}
%{name} library.

%if %mdkversion < 200900
%post -n %{libkdcraw} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libkdcraw} -p /sbin/ldconfig
%endif

%files -n %{libkdcraw}
%defattr(0644, root, root, 0755)
%{_kde_libdir}/libkdcraw.so.%{kdcraw_major}*

#------------------------------------------------	

%package -n kipi-common
Summary: Non-library files for the kipi library
Group: System/Libraries
Obsoletes: libkipi < 1:0.3
Obsoletes: kde4-libkipi < 1:0.3

%description -n kipi-common
Common files for the kipi library

%files -n kipi-common
%defattr(-,root,root)
%{_kde_appsdir}/kipi
%{_kde_iconsdir}/*/*/*/kipi.*
%{_kde_servicetypes}/kipiplugin.desktop

#------------------------------------------------	

%define	kipi_major 6
%define	libkipi %mklibname kipi %kipi_major

%package -n %{libkipi}
Summary: %{name} library
Group: System/Libraries
Requires: kipi-common

%description -n %{libkipi}
%{name} library.

%if %mdkversion < 200900
%post -n %{libkipi} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libkipi} -p /sbin/ldconfig
%endif

%files -n %{libkipi}
%defattr(0644, root, root, 0755)
%{_kde_libdir}/libkipi.so.%{kipi_major}*

#------------------------------------------------	

%define kexiv2_major 7
%define	libkexiv2 %mklibname kexiv2_ %kexiv2_major

%package -n %{libkexiv2}
Summary: %{name} library
Group: System/Libraries
Obsoletes: %mklibname kexiv 6

%description -n %{libkexiv2}
%{name} library.

%if %mdkversion < 200900
%post -n %{libkexiv2} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libkexiv2} -p /sbin/ldconfig
%endif

%files -n %{libkexiv2}
%defattr(0644, root, root, 0755)
%{_kde_libdir}/libkexiv2.so.%{kexiv2_major}*

#------------------------------------------------	

%define gwenviewlib_major 4
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

%package -n %libgwenviewlib
Summary:    KDE 4 core library
Group:      System/Libraries
Obsoletes:  %{_lib}gwenview1 < 1.4.2-9
# (Anssi 06/2008) Package had wrong major:
Obsoletes:  %{_lib}gwenviewlib1 < 2:4.0.82-3 

%description -n %libgwenviewlib
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libgwenviewlib -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libgwenviewlib -p /sbin/ldconfig
%endif

%files -n %libgwenviewlib
%defattr(-,root,root)
%_kde_libdir/libgwenviewlib.so.%{gwenviewlib_major}*

#------------------------------------------------

%define ksane_major 0
%define libksane %mklibname ksane %ksane_major

%package -n %libksane
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libksane
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libksane -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libksane -p /sbin/ldconfig
%endif

%files -n %libksane
%defattr(-,root,root)
%_kde_libdir/libksane.so.%{ksane_major}*

#-----------------------------------------------------------------------------

%package -n gwenview
Summary:    Fast and easy to use image viewer for KDE
Group:      Graphical desktop/KDE
Requires:   %name-core = %epoch:%version
Obsoletes:  %name-gwenview < 2:3.93.0-0.714385.1
Obsoletes:  kde4-gwenview < 2:4.0.68
Provides:   kde4-gwenview = %epoch:%version

%description -n gwenview
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files -n gwenview
%defattr(-,root,root)
%_kde_bindir/gwenview
%_kde_libdir/kde4/gvpart.so
%_kde_appsdir/gvpart
%_kde_appsdir/gwenview
%_kde_datadir/kde4/services/gvpart.desktop
%_kde_datadir/kde4/services/ServiceMenus/slideshow.desktop
%_kde_datadir/applications/kde4/gwenview.desktop
%_kde_iconsdir/*/*/*/gwenview*
%_kde_docdir/*/*/gwenview

#-----------------------------------------------------------------------------

%package -n kcolorchooser
Summary:   KDE Color Chooser
Group:     Graphical desktop/KDE
Requires:  %name-core = %epoch:%version
Obsoletes: kdegraphics4-kcolorchooser < 2:3.93.0-0.714385.1
Obsoletes: kde4-kcolorchooser < 2:4.0.68

Provides:  kde4-kcolorchooser = %epoch:%version

%description -n kcolorchooser
KDE Color Chooser

%files -n kcolorchooser
%defattr(-,root,root)
%_kde_bindir/kcolorchooser
%_kde_datadir/applications/kde4/kcolorchooser.desktop
%_kde_iconsdir/*/*/*/kcolorchooser*

#-----------------------------------------------------------------------------

%define kolourpaint_lgpl_major 4
%define libkolourpaint_lgpl %mklibname kolourpaint_lgpl %kolourpaint_lgpl_major

%package -n %libkolourpaint_lgpl
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdegraphics40-kghostview < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kolourpaint4_lgpl4 < 2:3.94.0
Obsoletes: %{_lib}kolourpaint4_lgpl < 2:4.0.74-1
Obsoletes: %{_lib}kolourpaint_lgpl4 < 2:3.94.0

%description -n %libkolourpaint_lgpl
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkolourpaint_lgpl -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkolourpaint_lgpl -p /sbin/ldconfig
%endif

%files -n %libkolourpaint_lgpl
%defattr(-,root,root)
%_kde_libdir/libkolourpaint_lgpl.so.%{kolourpaint_lgpl_major}*

#-----------------------------------------------------------------------------

%package -n kolourpaint
Summary: A free, easy-to-use paint program for KDE
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kolourpaint < 2:3.93.0-0.714385.1
Obsoletes: kde4-kolourpaint < 2:4.0.68

Provides: kde4-kolourpaint = %epoch:%version

%description -n kolourpaint
KolourPaint is a free, easy-to-use paint program for KDE.

It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user.  It's designed for daily
tasks like:

* Painting - drawing diagrams and "finger painting"
* Image Manipulation - editing screenshots and photos; applying effects
* Icon Editing - drawing clipart and logos with transparency

%files -n kolourpaint
%defattr(-,root,root)
%_kde_bindir/kolourpaint
%_kde_datadir/applications/kde4/kolourpaint.desktop
%_kde_appsdir/kolourpaint
%_kde_iconsdir/hicolor/*/apps/kolourpaint.*
%_kde_docdir/HTML/en/kolourpaint

#-----------------------------------------------------------------------------

%package -n kruler
Summary: KDE Screen Ruler
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

Obsoletes: %name-kruler < 2:3.93.0-0.714385.1
Obsoletes: kde4-kruler < 2:4.0.68

Provides: kde4-kruler = %epoch:%version

%description -n kruler
A screen ruler for the K Desktop Environment

%files -n kruler
%defattr(-,root,root)
%_kde_bindir/kruler
%_kde_datadir/applications/kde4/kruler.desktop
%_kde_appsdir/kruler
%_kde_iconsdir/*/*/*/kruler*
%_kde_docdir/*/*/kruler

#-----------------------------------------------------------------------------

%package -n ksnapshot
Summary: KDE Screenshot Utility
Group: Graphical desktop/KDE

Requires:  %name-core = %epoch:%version

Obsoletes: %name-ksnapshot < 2:3.93.0-0.714385.1
Obsoletes: kde4-ksnapshot < 2:4.0.68

Provides:  kde4-ksnapshot = %epoch:%version

%description -n ksnapshot
KDE Screenshot Utility

%files -n ksnapshot
%defattr(-,root,root)
%_kde_bindir/kbackgroundsnapshot
%_kde_bindir/ksnapshot
%_kde_datadir/applications/kde4/ksnapshot.desktop
%_kde_iconsdir/*/*/*/ksnapshot*
%_kde_docdir/*/*/ksnapshot

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for kdegraphics
Group: Development/KDE and Qt

Requires: kdelibs4-devel
Requires: %libokularcore = %epoch:%version-%release
Requires: %libgwenviewlib = %epoch:%version-%release
Requires: %libksane  = %epoch:%version-%release
Requires: %libkipi  = %epoch:%version-%release
Requires: %libkdcraw  = %epoch:%version-%release
Requires: %libkexiv2  = %epoch:%version-%release

Obsoletes: %{_lib}kdegraphics40-ksvg-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kview-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kooka-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kpovmodeler-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-common-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kghostview-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-okular-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kexiv-devel
Obsoletes: %{_lib}kdcraw-devel
Obsoletes: %{_lib}kipi-devel

Conflicts: kde4-okular < 2:3.95.2-0.734790.2

Provides: libkexiv-devel = %epoch:%version-%release
Provides: libkdcraw-devel = %epoch:%version-%release
Provides: libkipi-devel = %epoch:%version-%release

%description  devel
This package contains header files needed if you wish to build applications
based on kdegraphics.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%_kde_libdir/pkgconfig/*.pc
%_kde_includedir/*
%_kde_appsdir/cmake/*/*
%_kde_datadir/dbus-1/interfaces/org.kde.ksnapshot.xml

#----------------------------------------------------------------------

%prep
%setup -q -n kdegraphics-%version
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch200 -p0
%build
%cmake_kde4

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot





%changelog
* Thu Aug 27 2009 Oden Eriksson <oeriksson@mandriva.com> 2:4.2.4-0.3mdv2009.0
- build for updates

* Thu Aug 20 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.4-0.2mdv2009.0
+ Revision: 418547
- Another non-kde3 removal that appears just after latest fixes

* Tue Jun 23 2009 Security Team <security@mandriva.com> 2:4.2.4-0.1mdv2009.0
+ Revision: 388507
- + Revision: 381140
  Major KDE 4.2.4 update
  Major KDE 4.2.3 update
  + Nicolas L?\195?\131?\194?\169cureuil <neoclust@mandriva.org>
    - Add patch header
    - sync patches from branch
  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

  + Helio Chissini de Castro <helio@mandriva.com>
    - Major KDE 4.2.4 update
    - Major KDE 4.2.3 update

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add patch header
    - sync patches from branch

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

* Thu Jan 15 2009 Security Team <security@mandriva.com> 2:4.1.3-1.2mdv2009.0
+ Revision: 329939
- + Revision: 314012
  Update kdegraphics-4.1.3-upstreamlibs.patch ( Needed by next digikam )

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Update kdegraphics-4.1.3-upstreamlibs.patch ( Needed by next digikam )

* Sat Nov 29 2008 Security Team <security@mandriva.com> 2:4.1.3-1.1mdv2009.0
+ Revision: 307804
- + Revision: 299896
  Official KDE 4.1.3 update.
  Added upstream kdcraw as request from digikam packagers. This library is directly used
  by digikam and to have a full digikam 4 release, we will need that, so update is acceptable.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.
    - Added upstream kdcraw as request from digikam packagers. This library is directly used
      by digikam and to have a full digikam 4 release, we will need that, so update is acceptable.

  + root <root>
    - Branching 2009.0 release for updates.

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2:4.1.2-2mdv2009.0
+ Revision: 290847
- Add conflicts to ease upgrade from Mdv 2008.1

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-1mdv2009.0
+ Revision: 288281
- KDE 4.1.2 arriving.

* Tue Sep 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.1-5mdv2009.0
+ Revision: 283288
- Fix patch
- Fix patch name
- More libkdcraw sync with trunk

* Tue Sep 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.1-4mdv2009.0
+ Revision: 282906
- (spec_cleanup) Align sections
- Sync dcrawsettingswidget with trunk

* Tue Sep 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.1-3mdv2009.0
+ Revision: 282849
- Fix File list
- Use backported kdcraw stuffs needed by next digikam

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 2:4.1.1-2mdv2009.0
+ Revision: 282362
- Rebuild for new djvulibre

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-1mdv2009.0
+ Revision: 277845
- Added kgamma docs
- Upgrade to forthcoming 4.1.1 packages

* Mon Aug 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-4mdv2009.0
+ Revision: 263320
- Update with current branch 4.1 patches

* Mon Jul 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-3mdv2009.0
+ Revision: 251567
- Update with Release Candidate 1 - 4.1.0

* Mon Jul 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-2mdv2009.0
+ Revision: 250817
- Backport KExiv2::supportTiffWritting() function needed by next digikam

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-1mdv2009.0
+ Revision: 247573
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.98-1mdv2009.0
+ Revision: 233491
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.85-1mdv2009.0
+ Revision: 232463
- New version kde 4.0.85

* Mon Jun 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.84-3mdv2009.0
+ Revision: 230419
- Remove Kruler from menu

* Mon Jun 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.84-2mdv2009.0
+ Revision: 230417
- Move Okular in office section

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.84-1mdv2009.0
+ Revision: 229397
- Update with new snapshot tarballs 4.0.84

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.83-4mdv2009.0
+ Revision: 227484
- Never stops to appear weird names
- Update with new snapshot tarballs 4.0.83

* Sun Jun 15 2008 Anssi Hannula <anssi@mandriva.org> 2:4.0.82-3mdv2009.0
+ Revision: 219325
- fix obsoletes on old libkipi
- fix wrong major of libgwenviewlib
- ensure major correctness

  + Funda Wang <fundawang@mandriva.org>
    - improve summary and descriptions

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.82-2mdv2009.0
+ Revision: 218579
- Added obsoletes for old libkipi

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.82-1mdv2009.0
+ Revision: 218027
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.81-1mdv2009.0
+ Revision: 214777
- Welcome to kipi, kexiv2 and kdcraw...
- Update with new snapshot tarballs 4.0.81

* Sun May 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.80-1mdv2009.0
+ Revision: 211098
- Fix File list
- Own %%_kde_appsdir/svgpart
- Add an obsolete

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Mon May 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.74-1mdv2009.0
+ Revision: 209189
- Fix File list ( New packages %%libkolourpaint_lgpl %%libksane )
- Fix BuildRequires ( new libkipi will be available soon)

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.0.74

  + Anssi Hannula <anssi@mandriva.org>
    - fix versioned obsoletes

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.73-1mdv2009.0
+ Revision: 204747
- Update to kde 4.0.73
- Fix obsolete of old lib
  Fix Summary of gwenview
  Fix Description of gwenview

* Fri May 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.72-1mdv2009.0
+ Revision: 199936
- Update to kde 4.0.72
- Add BuildRequires
- New snapshot 4.0.70
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE.

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.3-1mdv2008.1
+ Revision: 190984
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.2-2mdv2008.1
+ Revision: 182254
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.2-1mdv2008.1
+ Revision: 177441
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.1-1mdv2008.1
+ Revision: 164785
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE Team

* Tue Jan 08 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.0-1mdv2008.1
+ Revision: 146881
- Update for stable 4.0.0
- kgamma added

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.752259.1mdv2008.1
+ Revision: 137405
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.747032.2mdv2008.1
+ Revision: 119949
- Fix Requires on devel package

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.747032.1mdv2008.1
+ Revision: 117092
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.1-0.742895.3mdv2008.1
+ Revision: 114104
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.1-0.740289.3mdv2008.1
+ Revision: 111941
- Obsoletes kolourpaint_lgpl4

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.1-0.740289.1mdv2008.1
+ Revision: 111518
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.0-0.737148.1mdv2008.1
+ Revision: 109642
- KDE4 RC1
- Obsolete kghostview and libkghostviewlib on Okular

* Tue Nov 13 2007 Funda Wang <fundawang@mandriva.org> 2:3.95.2-0.734790.2mdv2008.1
+ Revision: 108427
- move libspectreOkular.so into okular package.

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.95.2-0.734790.1mdv2008.1
+ Revision: 107574
- New snapshot
  Kghostview have been removed from the package ( we have now to use Okular

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.95.1-0.731764.1mdv2008.1
+ Revision: 104990
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.94.1-0.730647.1mdv2008.1
+ Revision: 103695
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.94.1-0.729164.1mdv2008.1
+ Revision: 102129
- New snapshot

* Fri Oct 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.94.0-0.726788.1mdv2008.1
+ Revision: 100207
- Kde 4 Beta 3

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 2:3.93.0-0.714385.1mdv2008.0
+ Revision: 91976
- Fixing Release and Obsoletes tags. Bumping Epoch.
- Changing Obsoletes tags and updating tarball to a newer revision.

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-1mdv2008.0
+ Revision: 79318
- Update with revision 708268
- Update with revision 706376

* Thu Aug 02 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.695740.1mdv2008.0
+ Revision: 58323
- Update from revision 695740

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New snapshot

* Thu Jun 28 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.681050.1mdv2008.0
+ Revision: 45393
- Update from svn for post 3.91

* Wed Jun 27 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.680918mdv2008.0
+ Revision: 44966
- Update from svn and recompile against current kdelibs4

* Tue Jun 26 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.680312mdv2008.0
+ Revision: 44416
- Update for revision 676706
- Make tv heppy ( obsoletes )

* Mon Jun 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.676706mdv2008.0
+ Revision: 40877
- Habemus Okular :-)
  First working ( more or less ) package from kde4 kdegraphics

* Fri May 04 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.3mdv2008.0
+ Revision: 22426
- new snapshot

* Fri Apr 20 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070418.3mdv
+ Revision: 16251
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.3mdv2007.1
+ Revision: 141394
- new snapshot

* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.3mdv2007.1
+ Revision: 127246
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- Fix provides

* Tue Jan 23 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070123.2mdv2007.1
+ Revision: 112261
- new snapshot
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107027
- F**k rebuild bot
- Update

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 104006
- Update from branch

* Thu Dec 28 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-2mdv2007.1
+ Revision: 102281
- Import kdegraphics4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com>
- KDE4.0

